Bug 36059 - Yamaha SoundCard YMF744 (DS-XG) - does not work in RH 7
Yamaha SoundCard YMF744 (DS-XG) - does not work in RH 7
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
David Lawrence
http://rz-home.de/~jschrade/pro650t_l...
:
Depends On:
Blocks: 55351
  Show dependency treegraph
 
Reported: 2001-04-16 12:04 EDT by Need Real Name
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-14 14:20:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
the aumix.trace file (10.03 KB, text/plain)
2001-04-26 15:41 EDT, Need Real Name
no flags Details
*possible* fix (no guarantee!) (1.31 KB, patch)
2001-05-04 14:42 EDT, Pete Zaitcev
no flags Details | Diff
Forgotten .h change (389 bytes, patch)
2001-05-05 14:58 EDT, Pete Zaitcev
no flags Details | Diff
patchlogifles; source: ymfpci.c ymfpci.h; dmesg; files of /proc (67.72 KB, patch)
2001-05-06 18:44 EDT, Need Real Name
no flags Details | Diff
the pached files: ymfpci.c & ymfpci.h - sndconfig out; messages (44.27 KB, patch)
2001-05-08 16:23 EDT, Need Real Name
no flags Details | Diff
The Output of commands ; files from /proc; /etc (40.00 KB, text/plain)
2001-06-30 08:33 EDT, Need Real Name
no flags Details
The fix (399 bytes, patch)
2001-11-14 14:19 EST, Pete Zaitcev
no flags Details | Diff

  None (edit)
Description Need Real Name 2001-04-16 12:04:37 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98; Win 9x 4.90)


My NoteBook MaxData 650T (www.maxdata.de/maxdata.com)has an SoundCard
with an Yamha Chipset YMF744 (DS-XG).
My Poblem is
With RedHat Linux (i386) Version 7.0 sndconfig wants to
configure my SoundCard but a starting play the sample file
the NoteBook is FREEZED. No Chance for reboot or shutdown.

With RedHat Linux 7.1 Beta (relase 7.0.90) i have the Problem
that sndconfig sais that the SoundCard is not supportet jet.

i can run sndconfig with

./sndconfig
or
./sndconfig --noprobe
or
./sndconfig --noauthprobe

its always the same problem

Reproducible: Always
Steps to Reproduce:
1.login as root
2.run snfconfig over setup o. with ./sndconfig
3.
Comment 1 Bill Nottingham 2001-04-16 12:10:43 EDT
This was a problem with the driver mappings; it should be fixed in 7.1 final.
Comment 2 Need Real Name 2001-04-16 12:17:08 EDT
i had to copy the ymfpci.o to ymfsb.o in the modules-dir

but it dosent run ...


at /etc/modules.conf is an entry

option ymfsb sb=1


OK i HOPE that this problem is fix at Version 7.1 FINAL
how you say !!!

thanks

dennis
Comment 3 Bill Nottingham 2001-04-16 12:20:32 EDT
Actually, you want to avoid using ymfsb at all costs. :) Just use ymfpci
in native mode.
Comment 4 Need Real Name 2001-04-16 12:28:27 EDT
no i dont wana use the ymfsb.o module at all costs...

i search a way to run the soundcard at the beta rh 7.1 (release 7.0.90) 

the problem is that  insmod   cant run the ymfpci.o

do you know a config with the rh beta 7.1 with that is 
the soundcard running ???


DO YOU KNOW THE RELASE DATE OF THE RH 7.1 FINAL VERSION ???


thanks

dennis
Comment 5 Bill Nottingham 2001-04-16 12:33:46 EDT
It's already out, as of this morning.

What errors does 'modprobe ymfpci' give?
Comment 6 Need Real Name 2001-04-17 05:19:15 EDT
sorry the notebook is not here.
i send the answer later.

i have tryed to hard compile the soundcard in the kernel 2.4.3
an the kernel 2.2.17

but its the same problem the system is going freezed

tanks

dennis
Comment 7 Need Real Name 2001-04-18 05:55:32 EDT
no error with modprobe !!!

modprobe ymfpci gives:

PCI: found IRQ 5 for derice 00:09.0



lspci -v

00:09.0 Multimedia audio controller: Yamaha Corporation YMF-744B [DS-1S Audio 
Controller] (rev 02)
	Subsystem: CLEVO/KAPOK Computer: Unknown device 0280
	Flags: medium devsel, IRQ 5
	Memory at fc000000 (32-bit, non-prefetchable) [size=32K]
	I/O ports at 1080 [size=64]
	I/O ports at 1800 [size=4]
	Capabilities: [50] Power Management version 1



but i must copy /lib/modules/2.4.0.99.11/kernel/drivers/sound
the file ymfpci.o to ymfsb.o. snfconfig error  ymfsb.o not found.



if i run sndconfig without  --noprobe
snfconfig error this soundcard is not supported jet.


sndconfig with --noprobe find the soundcard but at paly the samplefile
the notebook is going freezed.


insmod ymfpci gives:


Using /lib/modules/2.4.0-0.99.11/kernel/drivers/sound/ymfpci.o
/lib/modules/2.4.0-0.99.11/kernel/drivers/sound/ymfpci.o: unresolved symbol 
unregister_sound_mixer_R7afc9d8a
/lib/modules/2.4.0-0.99.11/kernel/drivers/sound/ymfpci.o: unresolved symbol 
unload_uart401_Recfdd9c9
/lib/modules/2.4.0-0.99.11/kernel/drivers/sound/ymfpci.o: unresolved symbol 
ac97_probe_codec_R1c61c357
/lib/modules/2.4.0-0.99.11/kernel/drivers/sound/ymfpci.o: unresolved symbol 
unregister_sound_dsp_Rcd083b10
/lib/modules/2.4.0-0.99.11/kernel/drivers/sound/ymfpci.o: unresolved symbol 
register_sound_mixer_Rcfed1766
/lib/modules/2.4.0-0.99.11/kernel/drivers/sound/ymfpci.o: unresolved symbol 
register_sound_dsp_Rdc36f691
/lib/modules/2.4.0-0.99.11/kernel/drivers/sound/ymfpci.o: unresolved symbol 
probe_uart401_R63d781ea

/lib/modules/2.4.0-0.99.11/kernel/drivers/sound/ymfpci.o: unresolved symbol 
unregister_sound_mixer_R7afc9d8a
/lib/modules/2.4.0-0.99.11/kernel/drivers/sound/ymfpci.o: unresolved symbol 
unload_uart401_Recfdd9c9
/lib/modules/2.4.0-0.99.11/kernel/drivers/sound/ymfpci.o: unresolved symbol 
ac97_probe_codec_R1c61c357
/lib/modules/2.4.0-0.99.11/kernel/drivers/sound/ymfpci.o: unresolved symbol 
unregister_sound_dsp_Rcd083b10
/lib/modules/2.4.0-0.99.11/kernel/drivers/sound/ymfpci.o: unresolved symbol 
register_sound_mixer_Rcfed1766
/lib/modules/2.4.0-0.99.11/kernel/drivers/sound/ymfpci.o: unresolved symbol 
register_sound_dsp_Rdc36f691
/lib/modules/2.4.0-0.99.11/kernel/drivers/sound/ymfpci.o: unresolved symbol 
probe_uart401_R63d781ea



/etc/sysconfig/soundcard

# DIESE DATEI WURDE VON SNDCONFIG ERSTELLT
# BITTE VERWENDEN SIE SNDCONFIG, UM DIESE
# DATEI ZU BEARBEITEN!
# Es sollten sich keine Leerstellen am Zeilenanfang
# oder um das Zeichen '=' herum befinden
CARDTYPE=YMFPCI



/etc/modules.conf

alias eth0 pcnet32
alias parport_lowlevel parport_pc
alias usb-controller usb-uhci
alias sound-slot-0 ymfsb
options sb support=1





another

with kernel 2.2.18  hard kompiled or as modul, same problem

with kernel 2.4.0.99.11 hard kompiled or as modul, same problem

with kernel 2.4.3 hard kompiled or as modul, same problem


thanks

dennis
Comment 8 Need Real Name 2001-04-18 10:02:20 EDT
I have tryed a SuSE Linux 7.1

SuSE is using ALSA www.alsa-project.org

with this driver modul the Soundkard runs


is the alsa driver in redhat 7.1 included ???


dennis
Comment 9 Bill Nottingham 2001-04-18 12:40:25 EDT
No, we aren't going to ship unstable stuff like ALSA.

And, there's no reason to copy the driver and load it with the wrong
options like you tried.

Basically, just add 'alias sound-slot-0 ymfpci', as I said before,
don't use the SB emulation.
Comment 10 Bill Nottingham 2001-04-18 12:43:10 EDT
(by unstable I'm referring to the ALSA api)
Comment 11 Need Real Name 2001-04-19 02:28:15 EDT
Hello do you meen

/etc/modules.conf

alias eth0 pcnet32
alias parport_lowlevel parport_pc
alias usb-controller usb-uhci
alias sound-slot-0 ymfpci


is this korrect ???

thanks

dennis
Comment 12 Bill Nottingham 2001-04-19 11:36:47 EDT
Yes, that should work. If it doesn't, it's a kernel bug.
Comment 13 Need Real Name 2001-04-20 04:29:12 EDT
Hi,

no !!! no chance !!!

Comment 14 Need Real Name 2001-04-20 04:42:23 EDT
Hi,

i have the Final Version (DownloadVersion(3 CDs)).

I have it NEW installed, no UPDATE the BetaVerion

But it dont work.

The Problem is.

i login as root
run sndconfig   o. sndconfig --noprobe
the system find the korrect soundcard  ( /var/log/messages )
and try to play the sample file.
but nothing happens.
i can kill the process with CTRL+C

the entry in the /etc/sysconfig/soundcard
is the same like the Beta Version (fischer relase 7.0.90)

the entry in the /etc/modules.conf is diffrent to the beta version
entry for .aumix

and the sb support is in.

i have killed the sb suppot dn reboot

and the preinstall and postinstall ... .aumix entry

no function of the soundcard


modprobe ymfpci   o. modprobe -v ymfpci
gives nothing out (NO OUTPUT)

in the /var/log/messages can i read that the card is found
on irq=5

like lspci -v shows


the system is not often going freezed but sometimes ...

i have tryed to kompile the kernel 2.4.3
with hard kopile (no module) of the ymfpci
but nothing is going

i have tryed the sttings in the notbook bios


pug n play os

auto
yes
no


but nohing ...



shit... sorry but what can i do ???

i there a chance that you can help me better if
i can create more hardwareinfomataion with an tool or something ???


thanks a lot

dennis
Comment 15 Bill Nottingham 2001-04-20 09:06:13 EDT
Assigning to the kernel; it sounds like a driver problem.
Comment 16 Need Real Name 2001-04-20 09:44:42 EDT
OK, what happened now ???

what can i do ???

thanks dennis
Comment 17 Pete Zaitcev 2001-04-20 15:19:39 EDT
Dear Dennis:

What happened now is that you tired poor Bill to death
and you are back to me.

Here is what I suggest:

1) Take a deep breath, relax and stop trying this and
that in quick succession and utter confusion.
Think happy thoughts: the hardware is well understood;
ymfpci works for thousands of people; the driver author
(me) is on the case, trying to help; eventually we'll
find and fix the problem.

2) Follow my suggestions (see below), that would allow
to *find* or *identify* the problem. [you must do it
only when you are sufficiently relaxed, as per (1)]

3) Once you provided the information, I'll think about
and perhaps will guess what is wrong.

Since you understand mechanics of this well, I will provide
explanations of what I am trying to do. I hope they are
not confusing. Please let me know if you are not interested.

You and Bill have found that ymfpci loads well
(there is a message in dmesg output). Now, it must
be accompained by a message from AC97 driver.
For example, on my Sony it prints:

ymfpci: YMF744 at 0xfedf8000 IRQ 9
ac97_codec: AC97 Audio codec, vendor id1: 0x414b, id2: 0x4d02 (Unknown)

Please verify that you see that message.
I do it with typing "dmesg | more".
If you do not see it, let me know and do not proceed.

Once we have ymfpci and ac97, we may play some
sound, for instance with mpg123. sndconfig also
can do it.

At that point, if I got it right, you do not hear
the sound. Do you interrupt the program that plays
and in another window do this: "cat /proc/interrupts".
This will show if interrupts from ymfpci are getting
delivered. Do it couple of times and quote the output in the
bug comments, please. Please do not be alarmed, if your
IRQ 5 is shared. It is normal. This is example on my
machine:

[zaitcev@niphredil zaitcev]$ cat /proc/interrupts
           CPU0       
  0:     226513          XT-PIC  timer
  1:       9563          XT-PIC  keyboard
  2:          0          XT-PIC  cascade
  8:          1          XT-PIC  rtc
  9:       5370          XT-PIC  ymfpci, usb-uhci, eth0
 12:      17748          XT-PIC  PS/2 Mouse
 13:          1          XT-PIC  fpu
 14:       3271          XT-PIC  ide0
NMI:          0

Now, either interrupts get there, or not (by the interrupt
count). If they do not, we will work that out later.
In most cases it's a BIOS problem. I noticed that you
changed settings between "PnP OS yes" and "no" in BIOS.
It was good that you did. It's probably something else,
but we'll see.

Suppose that you see the count running. That would mean
that ymfpci plays sounds, but we cannot hear it.
It happens if AC97 settings are not very good,
or there is a bug. Also, sometimes, kernel finds some
fake soundblaster and makes it first mixer device.
To find about that, run "aumix -d /dev/mixer0 -q",
"aumix -d /dev/mixer1 -q" and "ls -l /dev/mixer*".
In my case, aumix prints something like this:

[zaitcev@niphredil zaitcev]$ aumix -d /dev/mixer0 -q
vol 67, 67
pcm 67, 67
speaker 67, 67
line 67, 67, P
mic 0, 0, R
cd 67, 67, P
pcm2 67, 67
igain 67, 67, P
line1 67, 67, P
phin 67, 67, P
phout 67, 67
video 67, 67, P
[zaitcev@niphredil zaitcev]$ aumix -d /dev/mixer1 -q
aumix:  error opening mixer

I cannot guess what it would print for you,
we'll see what is it on your system.

Good luck, and waiting your reply with the information,
-- Pete
Comment 18 Need Real Name 2001-04-21 09:21:20 EDT

HARWARE DATA gives from PhoenixBIOS

SystemBIOS Version: 1.00.1.00
K/B Controller:     1.00.12

Modem               XIRCOM

CPU TYPE            Pentium III
CPU SPEED           500 MHz


Maxdata say thats the newest bios version




If i run sndconfig i can read in the /var/log/messages

Apr 20 21:08:54 dsbook kernel: PCI: Found IRQ 5 for device 00:09.0
Apr 20 21:08:54 dsbook kernel: ymfpci: YMF744 at 0xfc000000 IRQ 5
Apr 20 21:08:54 dsbook kernel: ac97_codec: AC97 Audio codec, id: 0x414b:0x4d02 
(Asahi Kasei AK4543)



my output from   lspci -v


00:00.0 Host bridge: Intel Corporation 440BX/ZX - 82443BX/ZX Host bridge (rev 
03)
	Flags: bus master, medium devsel, latency 64
	Memory at f8000000 (32-bit, prefetchable) [size=64M]
	Capabilities: [a0] AGP version 1.0

00:01.0 PCI bridge: Intel Corporation 440BX/ZX - 82443BX/ZX AGP bridge (rev 03) 
(prog-if 00 [Normal decode])
	Flags: bus master, 66Mhz, medium devsel, latency 128
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=64
	I/O behind bridge: 00002000-00002fff
	Memory behind bridge: fc100000-fdffffff

00:07.0 Bridge: Intel Corporation 82371AB PIIX4 ISA (rev 02)
	Flags: bus master, medium devsel, latency 0

00:07.1 IDE interface: Intel Corporation 82371AB PIIX4 IDE (rev 01) (prog-if 80 
[Master])
	Flags: bus master, medium devsel, latency 64
	I/O ports at 10c0 [size=16]

00:07.2 USB Controller: Intel Corporation 82371AB PIIX4 USB (rev 01) (prog-if 
00 [UHCI])
	Flags: bus master, medium devsel, latency 64, IRQ 11
	I/O ports at 1060 [size=32]

00:07.3 Bridge: Intel Corporation 82371AB PIIX4 ACPI (rev 03)
	Flags: medium devsel, IRQ 9

00:09.0 Multimedia audio controller: Yamaha Corporation YMF-744B [DS-1S Audio 
Controller] (rev 02)
	Subsystem: CLEVO/KAPOK Computer: Unknown device 0280
	Flags: medium devsel, IRQ 5
	Memory at fc000000 (32-bit, non-prefetchable) [size=32K]
	I/O ports at 1080 [size=64]
	I/O ports at 1800 [size=4]
	Capabilities: [50] Power Management version 1

00:0b.0 Ethernet controller: Advanced Micro Devices [AMD] 79c970 [PCnet LANCE] 
(rev 43)
	Subsystem: CLEVO/KAPOK Computer: Unknown device 0280
	Flags: bus master, medium devsel, latency 198, IRQ 9
	I/O ports at 10e0 [size=32]
	Memory at fc008000 (32-bit, non-prefetchable) [size=32]
	Expansion ROM at <unassigned> [disabled] [size=1M]
	Capabilities: [40] Power Management version 2

00:0c.0 CardBus bridge: Ricoh Co Ltd RL5c475 (rev 80)
	Subsystem: CLEVO/KAPOK Computer: Unknown device 0280
	Flags: bus master, medium devsel, latency 168, IRQ 11
	Memory at 10000000 (32-bit, non-prefetchable) [size=4K]
	Bus: primary=00, secondary=02, subordinate=02, sec-latency=176
	Memory window 0: 10400000-107ff000 (prefetchable)
	Memory window 1: 10800000-10bff000
	I/O window 0: 00001c00-00001cff
	I/O window 1: 00003000-000030ff
	16-bit legacy interface ports at 0001

00:0d.0 Communication controller: Lucent Microelectronics: Unknown device 0420 
(rev 01)
	Subsystem: Xircom: Unknown device 0046
	Flags: medium devsel, IRQ 11
	Memory at fc008400 (32-bit, non-prefetchable) [size=256]
	I/O ports at 1808 [size=8]
	I/O ports at 1400 [size=256]
	Capabilities: [f8] Power Management version 2

01:00.0 VGA compatible controller: ATI Technologies Inc 3D Rage LT Pro AGP-133 
(rev dc) (prog-if 00 [VGA])
	Subsystem: CLEVO/KAPOK Computer: Unknown device 0280
	Flags: bus master, stepping, medium devsel, latency 66
	Memory at fd000000 (32-bit, non-prefetchable) [size=16M]
	I/O ports at 2000 [size=256]
	Memory at fc100000 (32-bit, non-prefetchable) [size=4K]
	Expansion ROM at <unassigned> [disabled] [size=128K]
	Capabilities: [50] AGP version 1.0
	Capabilities: [5c] Power Management version 1



cat /proc/interrupts  gives:

         CPU0       
  0:      68139          XT-PIC  timer
  1:       7423          XT-PIC  keyboard
  2:          0          XT-PIC  cascade
  5:          1          XT-PIC  ymfpci
  6:         32          XT-PIC  floppy
  8:          1          XT-PIC  rtc
  9:          5          XT-PIC  PCnet/FAST III 79C973
 11:          0          XT-PIC  usb-uhci, Ricoh Co Ltd RL5c475
 12:        197          XT-PIC  PS/2 Mouse
 14:       5453          XT-PIC  ide0
 15:          0          XT-PIC  ide1
NMI:          0 
ERR:          0








aumix -d /dev/mixer0 -q gives:

aumix:  error opening mixer



aumix -d /dev/mixer1 -q gives:

aumix:  error opening mixer




thanks for help !!

Dennis


Comment 19 Need Real Name 2001-04-21 09:22:53 EDT

HARWARE DATA gives from PhoenixBIOS

SystemBIOS Version: 1.00.1.00
K/B Controller:     1.00.12

Modem               XIRCOM

CPU TYPE            Pentium III
CPU SPEED           500 MHz


Maxdata say thats the newest bios version




If i run sndconfig i can read in the /var/log/messages

Apr 20 21:08:54 dsbook kernel: PCI: Found IRQ 5 for device 00:09.0
Apr 20 21:08:54 dsbook kernel: ymfpci: YMF744 at 0xfc000000 IRQ 5
Apr 20 21:08:54 dsbook kernel: ac97_codec: AC97 Audio codec, id: 0x414b:0x4d02 
(Asahi Kasei AK4543)



my output from   lspci -v


00:00.0 Host bridge: Intel Corporation 440BX/ZX - 82443BX/ZX Host bridge (rev 
03)
	Flags: bus master, medium devsel, latency 64
	Memory at f8000000 (32-bit, prefetchable) [size=64M]
	Capabilities: [a0] AGP version 1.0

00:01.0 PCI bridge: Intel Corporation 440BX/ZX - 82443BX/ZX AGP bridge (rev 03) 
(prog-if 00 [Normal decode])
	Flags: bus master, 66Mhz, medium devsel, latency 128
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=64
	I/O behind bridge: 00002000-00002fff
	Memory behind bridge: fc100000-fdffffff

00:07.0 Bridge: Intel Corporation 82371AB PIIX4 ISA (rev 02)
	Flags: bus master, medium devsel, latency 0

00:07.1 IDE interface: Intel Corporation 82371AB PIIX4 IDE (rev 01) (prog-if 80 
[Master])
	Flags: bus master, medium devsel, latency 64
	I/O ports at 10c0 [size=16]

00:07.2 USB Controller: Intel Corporation 82371AB PIIX4 USB (rev 01) (prog-if 
00 [UHCI])
	Flags: bus master, medium devsel, latency 64, IRQ 11
	I/O ports at 1060 [size=32]

00:07.3 Bridge: Intel Corporation 82371AB PIIX4 ACPI (rev 03)
	Flags: medium devsel, IRQ 9

00:09.0 Multimedia audio controller: Yamaha Corporation YMF-744B [DS-1S Audio 
Controller] (rev 02)
	Subsystem: CLEVO/KAPOK Computer: Unknown device 0280
	Flags: medium devsel, IRQ 5
	Memory at fc000000 (32-bit, non-prefetchable) [size=32K]
	I/O ports at 1080 [size=64]
	I/O ports at 1800 [size=4]
	Capabilities: [50] Power Management version 1

00:0b.0 Ethernet controller: Advanced Micro Devices [AMD] 79c970 [PCnet LANCE] 
(rev 43)
	Subsystem: CLEVO/KAPOK Computer: Unknown device 0280
	Flags: bus master, medium devsel, latency 198, IRQ 9
	I/O ports at 10e0 [size=32]
	Memory at fc008000 (32-bit, non-prefetchable) [size=32]
	Expansion ROM at <unassigned> [disabled] [size=1M]
	Capabilities: [40] Power Management version 2

00:0c.0 CardBus bridge: Ricoh Co Ltd RL5c475 (rev 80)
	Subsystem: CLEVO/KAPOK Computer: Unknown device 0280
	Flags: bus master, medium devsel, latency 168, IRQ 11
	Memory at 10000000 (32-bit, non-prefetchable) [size=4K]
	Bus: primary=00, secondary=02, subordinate=02, sec-latency=176
	Memory window 0: 10400000-107ff000 (prefetchable)
	Memory window 1: 10800000-10bff000
	I/O window 0: 00001c00-00001cff
	I/O window 1: 00003000-000030ff
	16-bit legacy interface ports at 0001

00:0d.0 Communication controller: Lucent Microelectronics: Unknown device 0420 
(rev 01)
	Subsystem: Xircom: Unknown device 0046
	Flags: medium devsel, IRQ 11
	Memory at fc008400 (32-bit, non-prefetchable) [size=256]
	I/O ports at 1808 [size=8]
	I/O ports at 1400 [size=256]
	Capabilities: [f8] Power Management version 2

01:00.0 VGA compatible controller: ATI Technologies Inc 3D Rage LT Pro AGP-133 
(rev dc) (prog-if 00 [VGA])
	Subsystem: CLEVO/KAPOK Computer: Unknown device 0280
	Flags: bus master, stepping, medium devsel, latency 66
	Memory at fd000000 (32-bit, non-prefetchable) [size=16M]
	I/O ports at 2000 [size=256]
	Memory at fc100000 (32-bit, non-prefetchable) [size=4K]
	Expansion ROM at <unassigned> [disabled] [size=128K]
	Capabilities: [50] AGP version 1.0
	Capabilities: [5c] Power Management version 1



cat /proc/interrupts  gives:

         CPU0       
  0:      68139          XT-PIC  timer
  1:       7423          XT-PIC  keyboard
  2:          0          XT-PIC  cascade
  5:          1          XT-PIC  ymfpci
  6:         32          XT-PIC  floppy
  8:          1          XT-PIC  rtc
  9:          5          XT-PIC  PCnet/FAST III 79C973
 11:          0          XT-PIC  usb-uhci, Ricoh Co Ltd RL5c475
 12:        197          XT-PIC  PS/2 Mouse
 14:       5453          XT-PIC  ide0
 15:          0          XT-PIC  ide1
NMI:          0 
ERR:          0








aumix -d /dev/mixer0 -q gives:

aumix:  error opening mixer



aumix -d /dev/mixer1 -q gives:

aumix:  error opening mixer




thanks for help !!

Dennis


Comment 20 Need Real Name 2001-04-21 13:24:12 EDT
Hi,

i am back at wed 04-25-2001

bye

dennis
Comment 21 Need Real Name 2001-04-25 14:34:52 EDT
Hi,

i am back !!!

what happend at the time, i was not here/online ???

thanks

dennis
Comment 22 Need Real Name 2001-04-25 15:01:49 EDT
there is something i found.

a diff. between kernel 2.4.2-2 (redhat orginal)
and the kernel 2.4.3-1

if i run  sndconfig   ( see down )

at Kernel 2.4.2-2 the Audio Codec is:

Asahi Kasei AK4543


at Kernel 2.4.3-1 the Audio COdec is:

(Unknown)






orginal kernel 2.4.2-2

Apr 25 20:49:16 dsbook kernel: PCI: Found IRQ 5 for device 00:09.0
Apr 25 20:49:16 dsbook kernel: ymfpci: YMF744 at 0xfc000000 IRQ 5
Apr 25 20:49:16 dsbook kernel: ac97_codec: AC97 Audio codec, id: 0x414b:0x4d02 
(Asahi Kasei AK4543)


kernel 2.4.3-1

Apr 25 20:53:33 dsbook kernel: PCI: Found IRQ 5 for device 00:09.0
Apr 25 20:53:33 dsbook kernel: ymfpci: YMF744 at 0xfc000000 IRQ 5
Apr 25 20:53:33 dsbook kernel: ac97_codec: AC97 Audio codec, id: 0x414b:0x4d02 
(Unknown)


 thats it


thanks

dennis
Comment 23 Pete Zaitcev 2001-04-25 18:01:00 EDT
Dennis:

your note of 4/21 was helpful. Now we know that you have a
mixer problem. However, let us clear the sound chip completely.
When you did "cat /proc/interrupts", IRQ 5 had a count of 1.
This looks a little bit suspicious. Please do the following:
"dd if=/dev/random bs=1k count=2| cat > /dev/dsp0".
(this command plays 2KB of garbage, but since you cannot hear
it, your ears are safe). If the command gives any error
messages, let me know. Once it is done, do "cat /proc/interrupts"
again. The count must be more than 1.

I the same time, I am looking in possible mixer problems.
You may help if you run "strace aumix -d /dev/mixer0 -q > /tmp/aumix.trace",
then upload /tmp/aumix.trace as an attachement to the bug.

-- Pete
Comment 24 Need Real Name 2001-04-26 15:38:19 EDT
Hi Pete,

thats my /proc/ioports

0000-001f : dma1
0020-003f : pic1
0040-005f : timer
0060-006f : keyboard
0070-007f : rtc
0080-008f : dma page reg
00a0-00bf : pic2
00c0-00df : dma2
00f0-00ff : fpu
0170-0177 : ide1
01f0-01f7 : ide0
02f8-02ff : serial(auto)
0376-0376 : ide1
03c0-03df : vga+
03f0-03f5 : floppy
03f6-03f6 : ide0
03f7-03f7 : floppy DIR
03f8-03ff : serial(auto)
0cf8-0cff : PCI conf1
1000-103f : Intel Corporation 82371AB PIIX4 ACPI
1040-105f : Intel Corporation 82371AB PIIX4 ACPI
1060-107f : Intel Corporation 82371AB PIIX4 USB
  1060-107f : usb-uhci
1080-10bf : Yamaha Corporation YMF-744B [DS-1S Audio Controller]
10c0-10cf : Intel Corporation 82371AB PIIX4 IDE
  10c0-10c7 : ide0
  10c8-10cf : ide1
10e0-10ff : Advanced Micro Devices [AMD] 79c970 [PCnet LANCE]
  10e0-10ff : PCnet/FAST III 79C973
1400-14ff : PCI device 11c1:0420 (Lucent Microelectronics)
1800-1803 : Yamaha Corporation YMF-744B [DS-1S Audio Controller]
1808-180f : PCI device 11c1:0420 (Lucent Microelectronics)
1c00-1cff : PCI CardBus #02
2000-2fff : PCI Bus #01
  2000-20ff : ATI Technologies Inc 3D Rage LT Pro AGP-133
3000-30ff : PCI CardBus #02



thats my /proc/modules


nls_iso8859-1           2880   1 (autoclean)
nls_cp437               4384   1 (autoclean)
vfat                    9392   1 (autoclean)
fat                    32672   0 (autoclean) [vfat]
ymfpci                 42368   1
uart401                 6768   0 [ymfpci]
sound                  62688   0 [uart401]
soundcore               4464   5 [ymfpci sound]
ac97_codec              8800   0 [ymfpci]
autofs                 11264   1 (autoclean)
ds                      7280   1
yenta_socket           11440   1
pcmcia_core            43072   0 [ds yenta_socket]
pcnet32                12048   1 (autoclean)
ipchains               38976   0 (unused)
usb-uhci               20720   0 (unused)
usbcore                49664   1 [usb-uhci]



at kernel version 2.4.2-2 (orginal kernel of rh 7.1)




if i run  dd if=/dev/random bs=1k count=2| cat > /dev/dsp
( /dev/dsp1  i havend at my /dev/ )

output at display:

dd if=/dev/random bs=1k count=2 | cat > /dev/dsp > /mnt/floppy/dd_out.txt
0+2 Records ein
0+2 Records aus




than the console tty1 is blocked...
only an kill -9 to process help




my /proc/interrupts   not changed

       CPU0       
  0:      63526          XT-PIC  timer
  1:       2503          XT-PIC  keyboard
  2:          0          XT-PIC  cascade
  5:          1          XT-PIC  ymfpci
  6:         44          XT-PIC  floppy
  8:          1          XT-PIC  rtc
  9:          5          XT-PIC  PCnet/FAST III 79C973
 11:          0          XT-PIC  usb-uhci, Ricoh Co Ltd RL5c475
 12:         20          XT-PIC  PS/2 Mouse
 14:      13939          XT-PIC  ide0
 15:          0          XT-PIC  ide1
NMI:          0 
ERR:          0




the  aumix.trace:


 strace aumix -d /dev/mixer0 -q > /mnt/floppy/aumix.trace
execve("/usr/bin/aumix", ["aumix", "-d", "/dev/mixer0", "-q"], [/* 24 vars */]) 
= 0
uname({sys="Linux", node="dsbook", ...}) = 0
brk(0)                                  = 0x804f088
old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 
0x40017000
open("/etc/ld.so.preload", O_RDONLY)    = -1 ENOENT (No such file or directory)
open("/etc/ld.so.cache", O_RDONLY)      = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=45856, ...}) = 0
old_mmap(NULL, 45856, PROT_READ, MAP_PRIVATE, 3, 0) = 0x40018000
close(3)                                = 0
open("/usr/lib/libgpm.so.1", O_RDONLY)  = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0p\30\0\000"..., 1024) = 
1024
fstat64(3, {st_mode=S_IFREG|0755, st_size=24177, ...}) = 0
old_mmap(NULL, 21816, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3, 0) = 0x40024000
mprotect(0x40028000, 5432, PROT_NONE)   = 0
old_mmap(0x40028000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED, 3, 
0x3000) = 0x40028000
close(3)                                = 0
open("/usr/lib/libncurses.so.5", O_RDONLY) = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\260\342"..., 1024) = 
1024
fstat64(3, {st_mode=S_IFREG|0755, st_size=257524, ...}) = 0
old_mmap(NULL, 269504, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3, 0) = 0x4002a000
mprotect(0x40060000, 48320, PROT_NONE)  = 0
old_mmap(0x40060000, 36864, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED, 3, 
0x35000) = 0x40060000
old_mmap(0x40069000, 11456, PROT_READ|PROT_WRITE, 
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x40069000
close(3)                                = 0
open("/lib/i686/libc.so.6", O_RDONLY)   = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\200\302"..., 1024) = 
1024
fstat64(3, {st_mode=S_IFREG|0755, st_size=5634864, ...}) = 0
old_mmap(NULL, 1242920, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3, 0) = 0x4006c000
mprotect(0x40192000, 38696, PROT_NONE)  = 0
old_mmap(0x40192000, 24576, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED, 3, 
0x125000) = 0x40192000
old_mmap(0x40198000, 14120, PROT_READ|PROT_WRITE, 
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x40198000
close(3)                                = 0
munmap(0x40018000, 45856)               = 0
getpid()                                = 1490
brk(0)                                  = 0x804f088
brk(0x804f0b0)                          = 0x804f0b0
brk(0x8050000)                          = 0x8050000
open("/usr/share/locale/locale.alias", O_RDONLY) = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=2601, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 
0x40018000
read(3, "# Locale name alias data base.\n#"..., 4096) = 2601
read(3, "", 4096)                       = 0
close(3)                                = 0
munmap(0x40018000, 4096)                = 0
open("/usr/lib/locale/de_DE+euro/LC_IDENTIFICATION", O_RDONLY) = -1 ENOENT (No 
such file or directory)
open("/usr/lib/locale/de_DE@euro/LC_IDENTIFICATION", O_RDONLY) = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=261, ...})= 0
mmap2(NULL, 261, PROT_READ, MAP_PRIVATE, 3, 0) = 0x40018000
close(3)                                = 0
brk(0x8051000)                          = 0x8051000
open("/usr/lib/locale/de_DE+euro/LC_MEASUREMENT", O_RDONLY) = -1 ENOENT (No 
such file or directory)
open("/usr/lib/locale/de_DE@euro/LC_MEASUREMENT", O_RDONLY) = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=13, ...}) = 0
mmap2(NULL, 13, PROT_READ, MAP_PRIVATE, 3, 0) = 0x40019000
close(3)                                = 0
open("/usr/lib/locale/de_DE+euro/LC_TELEPHONE", O_RDONLY) = -1 ENOENT (No such 
file or directory)
open("/usr/lib/locale/de_DE@euro/LC_TELEPHONE", O_RDONLY) = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=46, ...}) = 0
mmap2(NULL, 46, PROT_READ, MAP_PRIVATE, 3, 0) = 0x4001a000
close(3)
open("/usr/lib/locale/de_DE+euro/LC_ADDRESS", O_RDONLY) = -1 ENOENT (No such 
file or directory)
open("/usr/lib/locale/de_DE@euro/LC_ADDRESS", O_RDONLY) = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=149, ...}) = 0
mmap2(NULL, 149, PROT_READ, MAP_PRIVATE, 3, 0) = 0x4001b000
close(3)                                = 0
open("/usr/lib/locale/de_DE+euro/LC_NAME", O_RDONLY) = -1 ENOENT (No such file 
or directory)
open("/usr/lib/locale/de_DE@euro/LC_NAME", O_RDONLY) = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=72, ...}) = 0
mmap2(NULL, 72, PROT_READ, MAP_PRIVATE, 3, 0) = 0x4001c000
close(3)                                = 0
open("/usr/lib/locale/de_DE+euro/LC_PAPER", O_RDONLY) = -1 ENOENT (No such file 
or directory)
open("/usr/lib/locale/de_DE@euro/LC_PAPER", O_RDONLY) = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=24, ...}) = 0
mmap2(NULL, 24, PROT_READ, MAP_PRIVATE, 3, 0) = 0x4001d000
close(3)                                = 0
open("/usr/lib/locale/de_DE+euro/LC_MESSAGES", O_RDONLY) = -1 ENOENT (No such 
file or directory)
open("/usr/lib/locale/de_DE@euro/LC_MESSAGES", O_RDONLY) = 3
fstat64(3, {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
close(3)                                = 0
open("/usr/lib/locale/de_DE@euro/LC_MESSAGES/SYS_LC_MESSAGES", O_RDONLY) = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=44, ...}) = 0
mmap2(NULL, 44, PROT_READ, MAP_PRIVATE, 3, 0) = 0x4001e000
close(3)                                = 0
open("/usr/lib/locale/de_DE+euro/LC_MONETARY", O_RDONLY) = -1 ENOENT (No such 
file or directory)
open("/usr/lib/locale/de_DE@euro/LC_MONETARY", O_RDONLY) = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=276, ...}) = 0
mmap2(NULL, 276, PROT_READ, MAP_PRIVATE, 3, 0) = 0x4001f000
close(3)                                = 0
brk(0x8052000)                          = 0x8052000
open("/usr/lib/locale/de_DE+euro/LC_COLLATE", O_RDONLY) = -1 ENOENT (No such 
file or directory)
open("/usr/lib/locale/de_DE@euro/LC_COLLATE", O_RDONLY) = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=22576, ...}) = 0
mmap2(NULL, 22576, PROT_READ, MAP_PRIVATE, 3, 0) = 0x4019c000
close(3)                                = 0
open("/usr/lib/locale/de_DE+euro/LC_TIME", O_RDONLY) = -1 ENOENT (No such file 
or directory)
open("/usr/lib/locale/de_DE@euro/LC_TIME", O_RDONLY) = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=2365, ...}) = 0
mmap2(NULL, 2365, PROT_READ, MAP_PRIVATE, 3, 0) = 0x40020000
close(3)                                = 0
open("/usr/lib/locale/de_DE+euro/LC_NUMERIC", O_RDONLY) = -1 ENOENT (No such 
file or directory)
open("/usr/lib/locale/de_DE@euro/LC_NUMERIC", O_RDONLY) = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=44, ...}) = 0
mmap2(NULL, 44, PROT_READ, MAP_PRIVATE, 3, 0) = 0x40021000
close(3)                                = 0
open("/usr/lib/locale/de_DE+euro/LC_CTYPE", O_RDONLY) = -1 ENOENT (No such file 
or directory)
open("/usr/lib/locale/de_DE@euro/LC_CTYPE", O_RDONLY) = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=138812, ...}) = 0
mmap2(NULL, 138812, PROT_READ, MAP_PRIVATE, 3, 0) = 0x401a2000
close(3)                                = 0
open("/dev/mixer0", O_RDWR)             = -1 ENOENT (No such file or directory)
open("/usr/share/locale/de_DE+euro/LC_MESSAGES/aumix.mo", O_RDONLY) = -1 ENOENT 
(No such file or directory)
open("/usr/share/locale/de_DE@euro/LC_MESSAGES/aumix.mo", O_RDONLY) = -1 ENOENT 
(No such file or directory)
open("/usr/share/locale/de@euro/LC_MESSAGES/aumix.mo", O_RDONLY) = -1 ENOENT 
(No such file or directory)
open("/usr/share/locale/de+euro/LC_MESSAGES/aumix.mo", O_RDONLY) = -1 ENOENT 
(No such file or directory)
open("/usr/share/locale/de_DE/LC_MESSAGES/aumix.mo", O_RDONLY) = -1 ENOENT (No 
such file or directory)
open("/usr/share/locale/de/LC_MESSAGES/aumix.mo", O_RDONLY) = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=4647, ...}) = 0
mmap2(NULL, 4647, PROT_READ, MAP_PRIVATE, 3, 0) = 0x40022000
close(3)                                = 0
brk(0x8053000)                          = 0x8053000
open("/usr/lib/gconv/gconv-modules", O_RDONLY) = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=38489, ...})
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 
0x401c4000
read(3, "# GNU libc iconv configuration.\n"..., 4096) = 4096
brk(0x8054000)                          = 0x8054000
read(3, "dule\tJUS_I.B1.002//\t\tINTERNAL\t\tI"..., 4096) = 4096
brk(0x8055000)                          = 0x8055000
brk(0x8056000)                          = 0x8056000
read(3, "e\tISO-8859-4//\t\tINTERNAL\t\tISO885"..., 4096) = 4096
brk(0x8057000)                          = 0x8057000
brk(0x8058000)                          = 0x8058000
read(3, "\tISO-IR-103//\t\tT.61-8BIT//\nalias"..., 4096) = 4096
brk(0x8059000)                          = 0x8059000
read(3, "1\n\n#\tfrom\t\t\tto\t\t\tmodule\t\tcost\nal"..., 4096) = 4096
brk(0x805a000)                          = 0x805a000
brk(0x805b000)                          = 0x805b000
read(3, "RNAL\t\tIBM500\t\t1\nmodule\tINTERNAL\t"..., 4096) = 4096
brk(0x805c000)                          = 0x805c000
brk(0x805d000)                          = 0x805d000
read(3, "odule\tINTERNAL\t\tIBM891//\t\tIBM891"..., 4096) = 4096
brk(0x805e000)                          = 0x805e000
brk(0x805f000)                          = 0x805f000
read(3, "\tBIG5//\nalias\tCN-BIG5//\t\tBIG5//\n"..., 4096) = 4096
brk(0x8060000)                          = 0x8060000
brk(0x8061000)                          = 0x8061000
read(3, "ost\nalias\tISO_9036//\t\tASMO_449//"..., 4096) = 4096
brk(0x8062000)                          = 0x8062000
read(3, "-IR-8-1//\t\tNATS-SEFI//\nalias\tCSN"..., 4096) = 1625
brk(0x8063000)                          = 0x8063000
read(3, "", 4096)                       = 0
close(3)                                = 0
munmap(0x401c4000, 4096)                = 0
brk(0x8064000)                          = 0x8064000
open("/usr/lib/gconv/ISO8859-15.so", O_RDONLY) = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\300\10"..., 1024) = 
1024
fstat64(3, {st_mode=S_IFREG|0755, st_size=8024, ...}) = 0
old_mmap(NULL, 10984, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3, 0) = 0x401c4000
mprotect(0x401c6000, 2792, PROT_NONE)   = 0
old_mmap(0x401c6000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED, 3, 
0x1000) = 0x401c6000
close(3)                                = 0
write(2, "aumix:  Fehler beim \326ffnen des M"..., 37aumix:  Fehler beim Vffnen 
des Mixers) = 37
write(2, "\n", 1
)                       = 1
_exit(1)                                = ?




thats it !!!

i hope this in infomation enough to find the problem

thanks

bye

dennis



Comment 25 Need Real Name 2001-04-26 15:41:24 EDT
Created attachment 16546 [details]
the aumix.trace file
Comment 26 Pete Zaitcev 2001-04-26 16:09:20 EDT
Dennis:

Thanks for the strace output. It shows that a necessary
special file was missing (ENOENT).

In my last note I asked for the following comand, precisely:
 dd if=/dev/random bs=1k count=2| cat > /dev/dsp0

You report the following:
 dd if=/dev/random bs=1k count=2 | cat > /dev/dsp > /mnt/floppy/dd_out.txt
What you did is not a valid syntax.

Please show me the output of this:
 ls -ld /dev/dsp* /dev/mixer*

I strongly suspect now that something is missing there.

Please do not modify commands that I ask to run in any way.
Those unprompted actions do NOT make it easier or quicker
to resolve the problem. Remember, take a deep breath.

Thanks.
-- Pete
Comment 27 Need Real Name 2001-04-27 02:18:20 EDT
PETE:

my problem is i dont have a device file /dev/dsp0

only /dev/dsp  o. /dev/dsp1

but no /dev/dsp0

dennis

the oder questions i give you later.. no0 notebook here sorry!!!
Comment 28 Need Real Name 2001-04-28 04:26:49 EDT
Pete:

ls -ld /dev/dsp* /dev/mixer*   gives:

crw-------    1 root     root      14,   3 Mdr 24 05:38 /dev/dsp
crw-------    1 root     root      14,  19 Mdr 24 05:38 /dev/dsp1
crw-------    1 root     root      55,   0 Mdr 24 05:38 /dev/dsp56k
crw-------    1 root     root      14,   0 Mdr 24 05:38 /dev/mixer
crw-------    1 root     root      14,  16 Mdr 24 05:38 /dev/mixer1



i have used the command:

dd if=/dev/random bs=1k count=2| cat > /dev/dsp0

but there is no differenz between

dd if=/dev/random bs=1k count=2| cat > /dev/dsp0

or

dd if=/dev/random bs=1k count=2 | cat > /dev/dsp > /mnt/floppy/dd_out.txt


the output on the display an the happening is the same
i only wanna show you my output on display

thanks

i wish you a nice weekend

dennis
Comment 29 Need Real Name 2001-04-28 05:03:15 EDT

Hi Pete:

another Question:

crw-------    1 root     root      55,   0 Mdr 24 05:38 /dev/dsp56k

is this the device file for my onboard modem ???


The Support from Maxdata say, its a:

	Xircom Mini PCI 56Kflex data/ fax/ modem 


lspci -v   gives:


00:0d.0 Communication controller: Lucent Microelectronics:
            Unknown device 0420 (rev 01)
	Subsystem: Xircom: Unknown device 0046
	Flags: medium devsel, IRQ 11
	Memory at fc008400 (32-bit, non-prefetchable)
	I/O ports at 1088
	I/O ports at 1800
	Capabilities: [f8] Power Management version 2



is this my modem device ??? how can i make it run with  modemtool
modemtool cannot find the modem ???


thanks

bye

dennis
Comment 30 Pete Zaitcev 2001-04-30 13:46:17 EDT
Please do "dd if=/dev/random bs=1k count=2| cat > /dev/dsp"
then, and do not add that /mnt/floppy/dd_out.txt that you did before.
Do not forget to capture /proc/interrupts afterward.

Once you done with that, run "aumix -d /dev/mixer -q".

As for the softmodem device, it is not supported.
The device file exists, as you observed, in case you
make your own kernels.
Comment 31 Need Real Name 2001-04-30 14:16:02 EDT
Hi,

if i run     dd if=/dev/random bs=1k count=2| cat > /dev/dsp    at tty1


the command

cat /proc/interrupts  at tty2 gives:

          CPU0       
  0:      25154          XT-PIC  timer
  1:        372          XT-PIC  keyboard
  2:          0          XT-PIC  cascade
  5:          1          XT-PIC  ymfpci
  6:         14          XT-PIC  floppy
  8:          1          XT-PIC  rtc
  9:          5          XT-PIC  PCnet/FAST III 79C973
 11:          0          XT-PIC  usb-uhci, Ricoh Co Ltd RL5c475
 12:         20          XT-PIC  PS/2 Mouse
 14:      14998          XT-PIC  ide0
 15:          0          XT-PIC  ide1
NMI:          0 
ERR:          0


after the command

aumix -d /dev/mixer -q   gives:


vol 67, 67
pcm 67, 67
speaker 67, 67
line 67, 67, P
mic 0, 0, R
cd 67, 67, P
pcm2 67, 67
igain 67, 67, P
line1 67, 67, P
phin 67, 67, P
phout 67, 67
video 67, 67, P



thats it !!!

dennis

Comment 32 Need Real Name 2001-04-30 14:18:17 EDT
sorry i forgot

the tty1 is blocked, only kill helps
after the 2 commands

dennis
Comment 33 Need Real Name 2001-04-30 14:29:50 EDT
sorry i forgot

the tty1 is blocked, only kill helps
after the 2 commands

dennis
Comment 34 Need Real Name 2001-05-01 06:46:26 EDT
hi pete:


if i try this command:

dd if=/dev/random bs=1k count=2 | cat /dev/dsp0

i have this output:

denniss@dsbook dennis]$ dd if=/dev/random bs=1k count=2 | cat /dev/dsp0+2 
Records ein
0+2 Records aus
ymfpci3: recording schedule timeout, dmasz 32768 fragsz 8192 count 0 hwptr 0 
swptr 0
ymfpci3: recording schedule timeout, dmasz 32768 fragsz 8192 count 0 hwptr 0 
swptr 0
ymfpci3: recording schedule timeout, dmasz 32768 fragsz 8192 count 0 hwptr 0 
swptr 0


and thats in the /var/log/messages:

May  1 14:29:59 dsbook  -- root[867]: ROOT LOGIN ON tty1
May  1 14:30:25 dsbook kernel: PCI: Found IRQ 5 for device 00:09.0
May  1 14:30:25 dsbook kernel: ymfpci: YMF744 at 0xfc000000 IRQ 5
May  1 14:30:25 dsbook kernel: ac97_codec: AC97 Audio codec, id: 0x414b:0x4d02 
(Asahi Kasei AK4543)
May  1 14:30:25 dsbook modprobe: modprobe: Can't locate module sound-service-0-
3May  1 14:30:27 dsbook kernel: ymfpci3: recording schedule timeout, dmasz 32768
fragsz 8192 count 0 hwptr 0 swptr 0
May  1 14:30:34 dsbook last message repeated 3 times
May  1 14:30:37 dsbook login(pam_unix)[867]: session closed for user root
May  1 14:30:40 dsbook login(pam_unix)[914]: session opened for user dennis by 
LOGIN(uid=0)
May  1 14:30:40 dsbook  -- dennis[914]: LOGIN ON tty1 BY dennis
May  1 14:31:01 dsbook gnome-name-server[1029]: starting
May  1 14:31:01 dsbook gnome-name-server[1027]: starting
May  1 14:31:01 dsbook gnome-name-server[1029]: name server starting
May  1 14:31:01 dsbook gnome-name-server[1027]: name server was running on 
display, exiting
May  1 14:31:42 dsbook kernel: ymfpci3: recording schedule timeout, dmasz 32768
fragsz 8192 count 0 hwptr 0 swptr 0
May  1 14:32:05 dsbook last message repeated 11 times

May  1 14:32:06 dsbook gnome-name-server[1029]: input condition is: 0x11, 
exiting
May  1 14:32:48 dsbook kernel: ymfpci3: recording schedule timeout, dmasz 32768
fragsz 8192 count 0 hwptr 0 swptr 0
May  1 14:33:57 dsbook last message repeated 5 times
May  1 14:34:10 dsbook last message repeated 6 times
May  1 14:35:13 dsbook login(pam_unix)[869]: session opened for user root by 
LOGIN(uid=0)
May  1 14:35:13 dsbook  -- root[869]: ROOT LOGIN ON tty3
May  1 14:35:25 dsbook kernel: ymfpci3: recording schedule timeout, dmasz 32768
fragsz 8192 count 0 hwptr 0 swptr 0
May  1 14:35:29 dsbook last message repeated 2 times
May  1 14:35:31 dsbook login(pam_unix)[868]: session opened for user root by 
LOGIN(uid=0)
May  1 14:35:31 dsbook  -- root[868]: ROOT LOGIN ON tty2
May  1 14:35:32 dsbook kernel: ymfpci3: recording schedule timeout, dmasz 32768
fragsz 8192 count 0 hwptr 0 swptr 0
May  1 14:37:20 dsbook last message repeated 13 times



thanks

bye

dennis
Comment 35 Pete Zaitcev 2001-05-04 14:42:16 EDT
Created attachment 17368 [details]
*possible* fix (no guarantee!)
Comment 36 Need Real Name 2001-05-04 14:46:00 EDT
Hi Pete,

i try it.

How make i korrect patch of the file ???

Thanks

dennis
Comment 37 Pete Zaitcev 2001-05-04 14:49:22 EDT
I and requestor worked on resolution behind the scenes a bit.
Now we know that: interrupts can be delivered on IRQ 5;
mixer seems to work. There was a confusion in respect
to renamed device files in 7.1 release (e.g. /dev/dsp0 is gone,
/dev/dsp is not a symlink, but a device file). But It is cleared now.

If we look at /proc/interrupts output, we notice that ONE
interrupt WAS delivered, so it is probable that BIOS set
routing right and only acknowledgement does not work.

I do have a pending fix for interrupt acknowledgement,
but there was no test case so far. We will try to see
if that is the problem.
Comment 38 Need Real Name 2001-05-05 04:37:36 EDT
Hi Pete:

i tyed it, like you say.


i pached the file, and make a new kernel (2.4.4)

all ok, but make modules has an error:

make -C  kernel CFLAGS="-D__KERNEL__ -I/usr/src/linux-2.4.4/include -Wall -
Wstrict-prototypes -O2 -fomit-frame-pointer -fno-strict-aliasing -pipe -
mpreferred-stack-boundary=2 -march=i686 -DMODULE -DMODVERSIONS -
include /usr/src/linux-2.4.4/include/linux/modversions.h" MAKING_MODULES=1 
modules
make[1]: Wechsel in das Verzeichnis Verzeichnis ;/usr/src/linux-2.4.4/kernel+
make[1]: F|r das Target ;modules+ gibt es nichts zu tun.
make[1]: Verlassen des Verzeichnisses Verzeichnis ;/usr/src/linux-2.4.4/kernel+
make -C  drivers CFLAGS="-D__KERNEL__ -I/usr/src/linux-2.4.4/include -Wall -
Wstrict-prototypes -O2 -fomit-frame-pointer -fno-strict-aliasing -pipe -
mpreferred-stack-boundary=2 -march=i686 -DMODULE -DMODVERSIONS -
include /usr/src/linux-2.4.4/include/linux/modversions.h" MAKING_MODULES=1 
modules
make[1]: Wechsel in das Verzeichnis Verzeichnis ;/usr/src/linux-2.4.4/drivers+
make -C block modules
make[2]: Wechsel in das Verzeichnis Verzeichnis ;/usr/src/linux-
2.4.4/drivers/block+
make[2]: F|r das Target ;modules+ gibt es nichts zu tun.
make[2]: Verlassen des Verzeichnisses Verzeichnis ;/usr/src/linux-
2.4.4/drivers/block+
make -C cdrom modules
make[2]: Wechsel in das Verzeichnis Verzeichnis ;/usr/src/linux-
2.4.4/drivers/cdrom+
make[2]: F|r das Target ;modules+ gibt es nichts zu tun.
make[2]: Verlassen des Verzeichnisses Verzeichnis ;/usr/src/linux-
2.4.4/drivers/cdrom+
make -C char modules
make[2]: Wechsel in das Verzeichnis Verzeichnis ;/usr/src/linux-
2.4.4/drivers/char+
make -C drm modules
make[3]: Wechsel in das Verzeichnis Verzeichnis ;/usr/src/linux-
2.4.4/drivers/char/drm+
make[3]: F|r das Target ;modules+ gibt es nichts zu tun.
make[3]: Verlassen des Verzeichnisses Verzeichnis ;/usr/src/linux-
2.4.4/drivers/char/drm+
make -C pcmcia modules
make[3]: Wechsel in das Verzeichnis Verzeichnis ;/usr/src/linux-
2.4.4/drivers/char/pcmcia+
make[3]: F|r das Target ;modules+ gibt es nichts zu tun.
make[3]: Verlassen des Verzeichnisses Verzeichnis ;/usr/src/linux-
2.4.4/drivers/char/pcmcia+
make[2]: Verlassen des Verzeichnisses Verzeichnis ;/usr/src/linux-
2.4.4/drivers/char+
make -C ide modules
make[2]: Wechsel in das Verzeichnis Verzeichnis ;/usr/src/linux-
2.4.4/drivers/ide+
make[2]: F|r das Target ;modules+ gibt es nichts zu tun.
make[2]: Verlassen des Verzeichnisses Verzeichnis ;/usr/src/linux-
2.4.4/drivers/ide+
make -C media modules
make[2]: Wechsel in das Verzeichnis Verzeichnis ;/usr/src/linux-
2.4.4/drivers/media+
make -C radio modules
make[3]: Wechsel in das Verzeichnis Verzeichnis ;/usr/src/linux-
2.4.4/drivers/media/radio+
make[3]: F|r das Target ;modules+ gibt es nichts zu tun.
make[3]: Verlassen des Verzeichnisses Verzeichnis ;/usr/src/linux-
2.4.4/drivers/media/radio+
make -C video modules
make[3]: Wechsel in das Verzeichnis Verzeichnis ;/usr/src/linux-
2.4.4/drivers/media/video+
make[3]: F|r das Target ;modules+ gibt es nichts zu tun.
make[3]: Verlassen des Verzeichnisses Verzeichnis ;/usr/src/linux-
2.4.4/drivers/media/video+
make[2]: Verlassen des Verzeichnisses Verzeichnis ;/usr/src/linux-
2.4.4/drivers/media+
make -C misc modules
make[2]: Wechsel in das Verzeichnis Verzeichnis ;/usr/src/linux-
2.4.4/drivers/misc+
make[2]: F|r das Target ;modules+ gibt es nichts zu tun.
make[2]: Verlassen des Verzeichnisses Verzeichnis ;/usr/src/linux-
2.4.4/drivers/misc+
make -C net modules
make[2]: Wechsel in das Verzeichnis Verzeichnis ;/usr/src/linux-
2.4.4/drivers/net+
make -C irda modules
make[3]: Wechsel in das Verzeichnis Verzeichnis ;/usr/src/linux-
2.4.4/drivers/net/irda+
make[3]: F|r das Target ;modules+ gibt es nichts zu tun.
make[3]: Verlassen des Verzeichnisses Verzeichnis ;/usr/src/linux-
2.4.4/drivers/net/irda+
make -C pcmcia modules
make[3]: Wechsel in das Verzeichnis Verzeichnis ;/usr/src/linux-
2.4.4/drivers/net/pcmcia+
make[3]: F|r das Target ;modules+ gibt es nichts zu tun.
make[3]: Verlassen des Verzeichnisses Verzeichnis ;/usr/src/linux-
2.4.4/drivers/net/pcmcia+
make[2]: Verlassen des Verzeichnisses Verzeichnis ;/usr/src/linux-
2.4.4/drivers/net+
make -C parport modules
make[2]: Wechsel in das Verzeichnis Verzeichnis ;/usr/src/linux-
2.4.4/drivers/parport+
ld -m elf_i386 -r -o parport.o share.o ieee1284.o ieee1284_ops.o init.o procfs.o
make[2]: Verlassen des Verzeichnisses Verzeichnis ;/usr/src/linux-
2.4.4/drivers/parport+
make -C pnp modules
make[2]: Wechsel in das Verzeichnis Verzeichnis ;/usr/src/linux-
2.4.4/drivers/pnp+
ld -m elf_i386  -r -o isa-pnp.o isapnp.o quirks.o isapnp_proc.o
make[2]: Verlassen des Verzeichnisses Verzeichnis ;/usr/src/linux-
2.4.4/drivers/pnp+
make -C scsi modules
make[2]: Wechsel in das Verzeichnis Verzeichnis ;/usr/src/linux-
2.4.4/drivers/scsi+
ld -m elf_i386 -r -o scsi_mod.o scsi.o hosts.o scsi_ioctl.o constants.o 
scsicam.o scsi_proc.o scsi_error.o scsi_obsolete.o scsi_queue.o scsi_lib.o 
scsi_merge.o scsi_dma.o scsi_scan.o scsi_syms.o
ld -m elf_i386 -r -o sd_mod.o sd.o
make -C pcmcia modules
make[3]: Wechsel in das Verzeichnis Verzeichnis ;/usr/src/linux-
2.4.4/drivers/scsi/pcmcia+
make[3]: F|r das Target ;modules+ gibt es nichts zu tun.
make[3]: Verlassen des Verzeichnisses Verzeichnis ;/usr/src/linux-
2.4.4/drivers/scsi/pcmcia+
make[2]: Verlassen des Verzeichnisses Verzeichnis ;/usr/src/linux-
2.4.4/drivers/scsi+
make -C sound modules
make[2]: Wechsel in das Verzeichnis Verzeichnis ;/usr/src/linux-
2.4.4/drivers/sound+
ld -m elf_i386 -r -o soundcore.o sound_core.o sound_firmware.o
ld -m elf_i386 -r -o sound.o dev_table.o soundcard.o sound_syms.o audio.o 
audio_syms.o dmabuf.o midi_syms.o midi_synth.o midibuf.o sequencer.o 
sequencer_syms.o sound_timer.o sys_timer.o
gcc -D__KERNEL__ -I/usr/src/linux-2.4.4/include -Wall -Wstrict-prototypes -O2 -
fomit-frame-pointer -fno-strict-aliasing -pipe -mpreferred-stack-boundary=2 -
march=i686 -DMODULE -DMODVERSIONS -include /usr/src/linux-
2.4.4/include/linux/modversions.h   -c -o ymfpci.o ymfpci.c
make[2]: Verlassen des Verzeichnisses Verzeichnis ;/usr/src/linux-
2.4.4/drivers/sound+
make[1]: Verlassen des Verzeichnisses Verzeichnis ;/usr/src/linux-2.4.4/drivers+
make[2]: Verlassen des Verzeichnisses Verzeichnis ;/usr/src/linux-
2.4.4/drivers/scsi+
make -C sound modules
make[2]: Wechsel in das Verzeichnis Verzeichnis ;/usr/src/linux-
2.4.4/drivers/sound+
ld -m elf_i386 -r -o soundcore.o sound_core.o sound_firmware.o
ld -m elf_i386 -r -o sound.o dev_table.o soundcard.o sound_syms.o audio.o 
audio_syms.o dmabuf.o midi_syms.o midi_synth.o midibuf.o sequencer.o 
sequencer_syms.o
sound_timer.o sys_timer.o
gcc -D__KERNEL__ -I/usr/src/linux-2.4.4/include -Wall -Wstrict-prototypes -O2 -
fomit-frame-pointer -fno-strict-aliasing -pipe -mpreferred-stack-boundary=2 -
march=i686 -DMODULE -DMODVERSIONS -include /usr/src/linux-
2.4.4/include/linux/modversions.h   -c -o ymfpci.o ymfpci.c
ymfpci.c: In function `ymfpci_aclink_reset':
ymfpci.c:2109: `PCIR_DSXPWRCTRL1' undeclared (first use in this function)
ymfpci.c:2109: (Each undeclared identifier is reported only once
ymfpci.c:2109: for each function it appears in.)
ymfpci.c:2110: `PCIR_DSXPWRCTRL2' undeclared (first use in this function)
make[2]: *** [ymfpci.o] Fehler 1
make[2]: Verlassen des Verzeichnisses Verzeichnis ;/usr/src/linux-
2.4.4/drivers/sound+
make[1]: *** [_modsubdir_sound] Fehler 2
make[1]: Verlassen des Verzeichnisses Verzeichnis ;/usr/src/linux-
2.4.4/drivers+make: *** [_mod_drivers] Fehler 2
[root@localhost linux]#


there was no error at patching the file: drivers/sound/ymfpci.c

the output was:

patching file drivers/sound/ymfpci.c

nothing more !!!


thanks

bye
Comment 39 Pete Zaitcev 2001-05-05 14:58:06 EDT
Created attachment 17468 [details]
Forgotten .h change
Comment 40 Pete Zaitcev 2001-05-05 14:59:06 EDT
I am very sorry, I "saved" time by doing diff -u with
a specific file argument instead of diff -ur between trees.
Comment 41 Need Real Name 2001-05-06 17:11:18 EDT
Hi Pete:

thanks.. for fast help.

i try it, and give you info about.

thanks

dennis
Comment 42 Need Real Name 2001-05-06 18:44:55 EDT
Created attachment 17527 [details]
patchlogifles; source: ymfpci.c ymfpci.h; dmesg; files of /proc
Comment 43 Need Real Name 2001-05-06 18:58:03 EDT
Hi Pete:

bad message, the same error like in kernel 2.4.2-2


i have insert an new attach:

files20010507.tar.gz   includes:

12656 Mai  7 00:03 ac97_codec.o             from
/lib/modules/2.4.4/kernel/drivers/sound
27070 Mai  7 00:02 boot.log                      from /var/log
172 Mai  6 23:58 devices                          from /proc
23 Mai  6 23:57 dma                                 from /proc
5963 Mai  7 00:01 dmesg                          from dmesg command
551 Mai  6 23:57 interrupts                        from /proc
1102 Mai  6 23:57 ioports                         from /proc
334 Mai  7 00:19 lsdev                            from command ls -ld /dev/dsp*
/dev/mixer*
396 Mai  7 00:26 lsmod                            from command lsmod
3089 Mai  6 23:59 lspci                            from command  lspci -v
30920 Mai  7 00:11 messages                   from /var/log
350 Mai  6 23:58 modules                         from /proc
79007 Mai  7 00:08 patch-2.4.3-2.4.4.log   the log file from patching kernel
2.4.3 to 2.4.4
321 Mai  7 00:08 patch-ymfpci.log             the log file about patching 
ymfpci.c ymfpci.h
2423 Mai  6 23:59 pci                               from /proc
3792 Mai  6 23:59 slabinfo                        from /rpoc
70801 Mai  7 00:00 ymfpci.c.patched         the patched source
9879 Mai  7 00:00 ymfpci.h.patched           the patched source
49688 Mai  7 00:01 ymfpci.o                     from
/lib/modules/2.4.4/kernel/drivers/sound
2158 Mai  7 00:04 ymfpci_patch                the patch file i made of your 2
files


Pete can you please make a diff between your patched: ymfpci.c & ymfpci.h
you can see the error output at patching on my system in  patch-ymfpci.log

i hope i dont forget something, but its late in germany... see you


thanks

dennis
Comment 44 Pete Zaitcev 2001-05-06 23:32:34 EDT
If you expirience difficulties patching, try to use Rawhide
kernel. Go to rawhide.redhat.com, directory
 /pub/redhat/linux/rawhide/i386/RedHat/RPMS,
get file kernel-2.4.3-2.14.14.i386.rpm

rpm -i on that file only puts the kernel where
it belongs, so you'll need to add it into /etc/lilo.conf
DO NOT REMOVE THE OLD KERNEL from /etc/lilo.conf.

Comment 45 Need Real Name 2001-05-07 06:39:45 EDT
Hi Pete:

do i not need the file: kernel-source-2.4.3-2.14.14.i386.rpm

the file: kernel-2.4.3-2.14.14.i386.rpm

is a kompiled kernel or not ???

Do you have made the diff between my & your: ymfpci.h & ymfpci.c ???

thanks

bye

dennis

Comment 46 Need Real Name 2001-05-07 10:02:02 EDT
Hi Pete:

i have a Problem, i think i have not complete understand what you meen.

i understand i install the kernel-2.4.3-2.14.14.i386.rpm
an input it into /etc/lilo.conf and boot this kernel.

but there is no change between the kernel 2.4.2-2

the kernel-soruce i cannot patch with your patch files.


or please tell me the command to patch the file


thanks

dennis
Comment 47 Pete Zaitcev 2001-05-07 12:56:34 EDT
This my original instruction:
----------------------------------------------------

Date: Fri, 4 May 2001 16:02:24 -0400
From: Pete Zaitcev <zaitcev@redhat.com>
To: Dennis Schneck <dennisschneck@web.de>

> Date: Fri, 4 May 2001 21:05:47 +0200
> From: "Dennis Schneck" <dennisschneck@web.de>
  
> can you please tell me how must i patch the
> linux-2.4.4/drivers/sound/ymfpci.c
> with your file ???
>
> at Kernel Source 2.4.4


Dennis, before you start patching anything, you have to recompile
and reboot a kernel, make sure that it generally works, then
test the sound and make sure that the sound does not work
with the same symptoms. Only when you are done with it, you
start patching and recompile.

It is done in that way to remove uncertainty over compiler,
configuration, etc.

Patch that I include is made in format that Linus accepts,
e.g. with path. So, suppose that you unpacked your kernel
to /home/schneck/linux-2.4.4-test. Then it is patched like so:

 cd /home/schneck
 bzip2 -d < linux-2.4.4.tar.bz2 | tar xf -      # this produces "linux"
 mv linux linux-2.4.4-test                      # save it immediately
 patch -d linux-2.4.4-test -p1 < linux-2.4.4-niph-ymfpci.diff

You will see something like this:

[zaitcev@niphredil ksrc]$ patch -d linux-2.4.4-niph -p1 <
linux-2.4.4-niph-ymfpci.diff
patching file drivers/sound/ymfpci.c
[zaitcev@niphredil ksrc]$
----------------------------------------------------

Since a part was missing, one more command needs to be run:

 cd /home/schneck
 bzip2 -d < linux-2.4.4.tar.bz2 | tar xf -      # this produces "linux"
 mv linux linux-2.4.4-test                      # save it immediately
 patch -d linux-2.4.4-test -p1 < linux-2.4.4-niph-ymfpci.diff
 patch -d linux-2.4.4-test -p1 < linux-2.4.4-niph-ymfpci_h.diff
Comment 48 Need Real Name 2001-05-08 03:49:44 EDT
Hi Pete,

i think thats what i do.
i attached a file: files20010507.tar.gz

Threre are the patch_log in from patching kernel 2.4.4 to kernel 2.4.4

an the patch_log  of the  ymfpci.h & ymfpci.c file.  (patch-ymfpci.log)

i made the patch  with one file: ymfpci_patch  


and than i had problem , the sound card dos not work after patch & kompile


PLEASE VIEW THE FILE: files20010507.tat.gz

thats all infos i have taken after patch -> kompile -> boot the kernel
and run sndconfig


thanks

bye

dennis
Comment 49 Pete Zaitcev 2001-05-08 14:09:47 EDT
Dennis, I looked into your tarball and found nothing interesting in it.
The patch log indicates that evey segment was rejected, or, in other
words, you attempted to patch over garbage. If you are unable to
patch, just get the Rawhide kernel as my note of 2001-05-06
indicates.
Comment 50 Need Real Name 2001-05-08 15:24:49 EDT
Hi Pete:

need i the Kernel Source 2.4.4 or can i Patch the Kernel Souce 2.4.3   to  2.4.4
with the patch file ???

i have only the source 2.4.3  and the patch.

thanks

Dennis
Comment 51 Need Real Name 2001-05-08 16:23:41 EDT
Created attachment 17766 [details]
the pached files: ymfpci.c & ymfpci.h - sndconfig out; messages
Comment 52 Need Real Name 2001-05-08 16:30:13 EDT
Hi Pete:

i have made the patch with your 2 files. no error all OK at patching.

i kompiled the kernel:

make dep && make bzImage && make modules && make modules_install

than i copied the System.map to /boot/System.map-2.4.4-2
an the bzImage to /boot/vmlinuz-2.4.4-2

an make the inset in /etc/lilo.conf

lilo -v -v

an reboot.

than i run sndconfig

an thats the output from

sndconfig:

PCI: Found IRQ 5 for device 00:09.0


but than the tty1 is  blocked.... after crtl+c
its free


at this time you can read in the /var/log/messages

May  8 22:07:19 dsbook kernel: PCI: Found IRQ 5 for device 00:09.0
May  8 22:07:19 dsbook kernel: ymfpci: YMF744 at 0xfc000000 IRQ 5
May  8 22:07:19 dsbook kernel: ac97_codec: AC97 Audio codec, id: 0x414b:0x4d02 
(Asahi Kasei AK4543)


please view the attach i made befor this  enrty:  files20010508.tar.gz


2001-05-08  10:25 pm

dennis
Comment 53 Need Real Name 2001-05-11 09:39:32 EDT

Hi Pete:

whats going on ???

dennis
Comment 54 Pete Zaitcev 2001-05-11 12:41:54 EDT
The "files20010508" attachement that contains "new4" directory
has correct ymfpci.c and ymfpci.h. If that does not work,
I do not have good ideas.

One thing that is remotely possible - make sure you are not
building with CONFIG_SOUND_YMFPCI_LEGACY. The easiest way
to know is to run "grep CONFIG_SOUND_YMFPCI_LEGACY .config"
in your linux kernel directory. If it is set, edit .config
and remove that line, then run "make oldconfig". When the
script asks for CONFIG_SOUND_YMFPCI_LEGACY, answer "n".
Rebuild as usual.

When you disable the legacy ports, you disable a code that
created bogus aliases in the I/O space. Very strange things
happened to people because of that, but quite rarely.
It is a pretty wilfd shot, but worth trying.
Comment 55 Need Real Name 2001-05-13 05:25:26 EDT
Hi Pete:

i tyed i with

/usr/src/linux-2.4.4/

make an new extra level in Makefie

make mrproper
make clean
make menuconfig
make dep && make bzImage && make modules && make modules_install

(with legacy ports)

and the same without legacy ports

no chance


than i made a kernel with hard (no modul) komiled soundcard : ymfpci

with & without legacy ports


no chance !!!


thanks for help !!!

bye

dennis
Comment 56 Pete Zaitcev 2001-06-25 16:40:26 EDT
Dennis, errata kernel 2.4.3-12 is available for download.
ftp://ftp.redhat.com/pub/redhat/linux/updates/7.1/en/os/
Please give it a try.
-- Pete
Comment 57 Need Real Name 2001-06-30 08:31:45 EDT
Hi Pete,

sorry but i thought you stoped your "bugfinding" at this bug !!!

I made the TEST you want.

here are the files of the system

RedHat Linux 7.1 + Patches

look at the output of rpm -qa | sort  at end of this entry !!!



the index of the file:  files20010630.tar.gz   as attach

aumix.txt		Output of: aumix -d /dev/mixer0 -q
dd_if_2.txt		Output of: dd if=/dev/random bs=1k count=2 
					| cat /dev/dsp0+2

dd_if.txt		Output of: dd if=/dev/random bs=1k count=2
					| cat > /dev/dsp

dma.txt			File:  /proc/dma
insmod_ymfpci.txt	Output of: insmod ymfpci
interrupts.txta		File: /proc/interrupts
iomem.txt		File: /proc/iomem
ioports.txt		File: /proc/ioports
ls_dev_dsp.txt		Output of: ls -l /dev/dsp* 
ls_dev_mixer*_dsp*.txt	Output of: ls -ld /dev/dsp* /dev/mixer*
ls_dev.txt		Output of: ls -l /dev/mixer*
lspci.txt		Output of: lspci -v 
messages.txt		Output in /var/log/messages at running sndconfig
modules.conf		File: /etc/modules.conf
modules.txt		File: /proc/modules
pci.txt			File: /proc/pci
slabinfo.txt		File: /proc/slabinfo
soundcard.txt		File: /etc/sysconfig/soundcard
strace.txt		Output of: strace aumix -d /dev/mixer0 -q 
				> /tmp/aumix.trace





rpm -qa | sort




4Suite-0.10.1-1
alchemist-0.16-3
anacron-2.3-16
anonftp-4.0-4
apache-1.3.12-2
apache-1.3.19-5
apache-devel-1.3.19-5
apache-manual-1.3.19-5
apmd-3.0final-29
arpwatch-2.1a10-39
arts-2.1.2-1
ash-0.3.7-1
aspell-0.32.6-2
at-3.1.8-16
audiofile-0.1.11-1
audiofile-devel-0.1.11-1
aumix-2.7-2
authconfig-4.1.6-1
autoconf-2.13-10
autofs-3.1.7-14
automake-1.4-8
autorun-2.65-1
awesfx-0.4.3a-7
balsa-1.1.1-3
basesystem-7.0-2
bash-2.04-21
bc-1.06-2
bdflush-1.5-16
bind-utils-9.1.0-10
binutils-2.10.91.0.2-3
bison-1.28-5
bug-buddy-1.2-3
byacc-1.9-18
bzip2-1.0.1-3
bzip2-devel-1.0.1-3
cdecl-2.5-17
cdp-0.33-20
chkconfig-1.2.22-1
chkfontpath-1.9.5-1
compat-egcs-6.2-1.1.2.14
compat-egcs-c++-6.2-1.1.2.14
compat-egcs-objc-6.2-1.1.2.14
compat-glibc-6.2-2.1.3.2
compat-libstdc++-6.2-2.9.0.14
console-tools-19990829-34
control-center-1.2.2-8
control-center-devel-1.2.2-8
control-panel-3.18-4
cpio-2.4.2-20
cpp-2.96-85
cproto-4.6-7
cracklib-2.7-8
cracklib-dicts-2.7-8
crontabs-1.9-2
ctags-4.0.3-1
cvs-1.11-3
cyrus-sasl-1.5.24-17
db1-1.85-5
db1-devel-1.85-5
db2-2.4.14-5
db2-devel-2.4.14-5
db3-3.1.17-7
db3-devel-3.1.17-7
db3-utils-3.1.17-7
desktop-backgrounds-1.1-4
dev-3.1.0-14
dev86-0.15.0-5
devfsd-2.4.3-12
dhcp-2.0pl5-4
diffstat-1.27-5
diffutils-2.7-21
dip-3.3.7o-22
dosfstools-2.2-8
dump-0.4b21-3
e2fsprogs-1.19-4
ed-0.2-19
ee-0.3.12-3
efax-0.9-8
eject-2.0.2-7
ElectricFence-2.2.2-7
elm-2.5.3-11
emacs-20.7-34
emacs-nox-20.7-34
emacs-X11-20.7-34
enlightenment-0.16.4-7
enlightenment-conf-0.15-9
esound-0.2.22-1
esound-devel-0.2.22-1
exmh-2.2-9
expect-5.31-53
extace-1.4.4-2
fetchmail-5.7.4-4
file-3.33-1
filesystem-2.0.7-1
fileutils-4.0.36-4
findutils-4.1.6-2
finger-0.17-7
finger-server-0.17-7
flex-2.5.4a-13
fnlib-0.5-4
fnlib-devel-0.5-4
fortune-mod-1.0-13
freetype-2.0.1-4
freetype-devel-2.0.1-4
ftp-0.17-7
fvwm2-2.2.4-9
fvwm2-icons-2.2.4-9
gal-0.4.1-3
gated-3.6-10
gawk-3.0.6-1
gcc-2.96-85
gcc-c++-2.96-85
gcc-objc-2.96-85
gd-1.8.3-7
gdb-5.0rh-5
gdbm-1.8.0-5
gdbm-devel-1.8.0-5
gd-devel-1.8.3-7
gdk-pixbuf-0.8.0-7
gdm-2.0beta2-45
gedit-0.9.4-3
gettext-0.10.35-31
getty_ps-2.0.7j-9
gftp-2.0.8-1
ghostscript-5.50-17
ghostscript-fonts-5.50-3
gimp-1.2.1-5
gimp-data-extras-1.2.0-1
gimp-devel-1.2.1-5
git-4.3.19-2
glade-0.5.9-5
glib10-1.0.6-9
glib-1.2.9-1
glibc-2.2.2-10
glibc-common-2.2.2-10
glibc-devel-2.2.2-10
glib-devel-1.2.9-1
gmc-4.5.51-32
gmp-3.1.1-3
gnome-applets-1.2.4-3
gnome-audio-1.0.0-12
gnome-audio-extra-1.0.0-12
gnome-core-1.2.4-16
gnome-core-devel-1.2.4-16
gnome-games-1.2.0-10
gnome-games-devel-1.2.0-10
gnome-libs-1.2.8-11
gnome-libs-devel-1.2.8-11
gnome-linuxconf-0.64-1
gnome-media-1.2.0-12
gnome-objc-1.0.2-11
gnome-objc-devel-1.0.2-11
gnome-pim-1.2.0-9
gnome-pim-devel-1.2.0-9
gnome-print-0.25-9
gnome-users-guide-1.2-3
gnome-utils-1.2.1-5
gnorpm-0.96-1
gnotepad+-1.1.4-3
gnuchess-4.0.pl80-6
gnumeric-0.61-9
gnupg-1.0.5-1
gpgp-0.4-2
gpm-1.19.3-16
gpm-devel-1.19.3-16
gqview-0.8.1-3
grep-2.4.2-5
groff-1.16.1-7
groff-perl-1.16.1-7
gtk+10-1.0.6-9
gtk+-1.2.9-4
gtk+-devel-1.2.9-4
gtk-engines-0.10-12
gtop-1.0.11-3
guile-1.3.4-12
gv-3.5.8-11
gzip-1.3-12
hdparm-3.9-6
helptool-2.4-9
hotplug-2001_02_14-15
ical-2.2-21
ImageMagick-5.2.7-2
imlib-1.9.8.1-2
imlib-cfgeditor-1.9.8.1-2
imlib-devel-1.9.8.1-2
indent-2.2.6-1
indexhtml-7.1-2
inews-2.3.1-2
info-4.0-20
initscripts-5.83-1
intimed-1.10-10
ipchains-1.3.10-7
iproute-2.2.4-10
iputils-20001110-1
ircii-4.4Z-4
irda-utils-0.9.13-7
isapnptools-1.22-2
kbdconfig-1.9.12-1
kde1-compat-1.1.2-8
kdebase-2.1.1-8
kde-i18n-Brazil-2.1.1-2
kde-i18n-Catalan-2.1.1-2
kde-i18n-Chinese-2.1.1-2
kde-i18n-Chinese-Big5-2.1.1-2
kde-i18n-Czech-2.1.1-2
kde-i18n-Danish-2.1.1-2
kde-i18n-Dutch-2.1.1-2
kde-i18n-Esperanto-2.1.1-2
kde-i18n-Estonian-2.1.1-2
kde-i18n-Finnish-2.1.1-2
kde-i18n-French-2.1.1-2
kde-i18n-German-2.1.1-2
kde-i18n-Greek-2.1.1-2
kde-i18n-Hungarian-2.1.1-2
kde-i18n-Icelandic-2.1.1-2
kde-i18n-Italian-2.1.1-2
kde-i18n-Japanese-2.1.1-2
kde-i18n-Korean-2.1.1-2
kde-i18n-Norwegian-2.1.1-2
kde-i18n-Polish-2.1.1-2
kde-i18n-Portuguese-2.1.1-2
kde-i18n-Romanian-2.1.1-2
kde-i18n-Russian-2.1.1-2
kde-i18n-Slovak-2.1.1-2
kde-i18n-Slovenian-2.1.1-2
kde-i18n-Spanish-2.1.1-2
kde-i18n-Swedish-2.1.1-2
kde-i18n-Turkish-2.1.1-2
kdelibs-2.1.2-1
kdelibs-sound-2.1.2-1
kdemultimedia-2.1.1-1
kdesupport-2.1-3
kdeutils-2.1.1-1
kernel-2.4.3-12
kernelcfg-0.5-5
kernel-doc-2.4.3-12
kernel-headers-2.4.3-12
kernel-pcmcia-cs-3.1.24-2
kernel-source-2.4.3-12
krb5-devel-1.2.2-4
krb5-libs-1.2.2-4
ksymoops-2.4.0-3
kudzu-0.98.10-1
kudzu-devel-0.98.10-1
ld.so-1.9.5-13
less-358-16
libc-5.3.12-31
libgal3-0.4.1-3
libghttp-1.0.8-2
libghttp-devel-1.0.8-2
libglade-0.14-3
libglade-devel-0.14-3
libgnomeprint11-0.25-9
libgtop-1.0.10-3
libgtop-devel-1.0.10-3
libjpeg-6b-15
libjpeg-devel-6b-15
libmng-1.0.0-2
libogg-1.0beta4-2
libole2-0.1.7-2
libpng-1.0.9-1
libpng-devel-1.0.9-1
librep-0.13.3-1
libstdc++-2.96-85
libstdc++-devel-2.96-85
libtermcap-2.0.8-26
libtermcap-devel-2.0.8-26
libtiff-3.5.5-10
libtiff-devel-3.5.5-10
libtool-1.3.5-8
libtool-libs-1.3.5-8
libungif-4.1.0-7
libungif-devel-4.1.0-7
libungif-progs-4.1.0-7
libunicode-0.4-4
libxml10-1.0.0-6
libxml-1.8.10-1
libxml-devel-1.8.10-1
lilo-21.4.4-13
linuxconf-1.24r2-10
linuxconf-devel-1.24r2-10
lm_sensors-2.5.5-3
logrotate-3.5.4-1
losetup-2.11b-3
LPRng-3.7.4-23
lrzsz-0.12.20-7
lsof-4.51-1
ltrace-0.3.10-5
lynx-2.8.4-9
m4-1.4.1-4
magicdev-0.3.5-3
mailcap-2.1.4-2
mailx-8.1.1-20
make-3.79.1-5
MAKEDEV-3.1.0-14
man-1.5h1-20
man-pages-1.35-5
mc-4.5.51-32
memprof-0.4.1-3
Mesa-3.4-13
Mesa-devel-3.4-13
metamail-2.7-27
mikmod-3.1.6-10
mingetty-0.9.4-16
minicom-1.83.1-5
mkbootdisk-1.4.2-1
mkinitrd-3.0.10-1
mkkickstart-2.3-1
mktemp-1.5-8
mkxauth-1.7-15
modemtool-1.22-3
mod_perl-1.24_01-2
modutils-2.4.2-5
mount-2.11b-3
mouseconfig-4.22-1
mpage-2.5.1-5
mpg123-0.59r-10
mt-st-0.5b-10
multimedia-2.1-21
mutt-1.2.5i-9
ncftp-3.0.2-1
ncompress-4.2.4-21
ncurses4-5.0-2
ncurses-5.2-8
ncurses-devel-5.2-8
netcfg-2.36-3
netpbm-9.9-5
netpbm-devel-9.9-5
netpbm-progs-9.9-5
netscape-common-4.77-1
netscape-communicator-4.77-1
net-tools-1.57-6
newt-0.50.22-2
newt-devel-0.50.22-2
nfs-utils-0.3.1-5
nkf-1.92-4
nmh-1.0.4-8
nss_db-2.2-3
ntp-4.0.99k-15
ntsysv-1.2.22-1
openjade-1.3-13
openldap12-1.2.11-4
openldap-2.0.7-14
openldap-clients-2.0.7-14
openldap-servers-2.0.7-14
openssl-0.9.6-3
ORBit-0.5.7-3
ORBit-devel-0.5.7-3
pam-0.74-22
pam-devel-0.74-22
passwd-0.64.1-4
patch-2.5.4-9
pciutils-2.1.8-19
pciutils-devel-2.1.8-19
perl-5.6.0-12
phhttpd-0.1.0-4
php-4.0.4pl1-9
php-imap-4.0.4pl1-9
php-ldap-4.0.4pl1-9
php-manual-4.0.4pl1-9
php-pgsql-4.0.4pl1-9
pidentd-3.0.12-4
pine-4.33-8
playmidi-2.4-12
playmidi-X11-2.4-12
pmake-1.45-1
pnm2ppa-1.04-1
popt-1.6.2-8
portmap-4.0-35
postgresql-7.0.3-8
postgresql-devel-7.0.3-8
postgresql-jdbc-7.0.3-8
postgresql-odbc-7.0.3-8
postgresql-perl-7.0.3-8
postgresql-python-7.0.3-8
postgresql-server-7.0.3-8
postgresql-tcl-7.0.3-8
postgresql-tk-7.0.3-8
ppp-2.4.0-2
printconf-0.2.12-1
printconf-gui-0.2.12-1
procmail-3.14-6
procps-2.0.7-8
psmisc-19-4
pspell-0.11.2-2
pump-0.8.11-1
pwdb-0.61.1-1
pygnome-1.0.53-7
pygnome-libglade-0.6.6-7
pygtk-0.6.6-7
pygtk-libglade-0.6.6-7
python-1.5.2-30
pythonlib-1.28-1
python-xmlrpc-1.4-1
qt1x-1.45-12
qt-2.3.0-3
quota-3.00-4
raidtools-0.90-20
rcs-5.7-14
rdate-1.0-7
rdist-6.1.5-14
readline2.2.1-2.2.1-2
readline-4.1-9
readline-devel-4.1-9
redhat-logos-1.1.2-3
redhat-release-7.1-1
rep-gtk-0.15-3
rep-gtk-gnome-0.15-3
rep-gtk-libglade-0.15-3
rhn_register-1.3.1-1
rhn_register-gnome-1.3.1-1
rmt-0.4b21-3
rootfiles-7.0-4
rp3-1.1.10-1
rpm-4.0.2-8
rpm-build-4.0.2-8
rpmdb-redhat-7.1-0.20010408
rpm-devel-4.0.2-8
rpmfind-1.6-5
rpm-python-4.0.2-8
rsh-0.17-2.5
rsh-server-0.17-2.5
rsync-2.4.6-2
rusers-0.17-10
rusers-server-0.17-10
rwall-server-0.17-9
rwho-0.17-10
rxvt-2.7.5-15
samba-2.0.10-2
samba-client-2.0.10-2
samba-common-2.0.10-2
samba-swat-2.0.10-2
sash-3.4-8
sawfish-0.36-7
screen-3.9.8-3
sed-3.02-9
sendmail-8.11.2-14
sendmail-8.9.3-20
sendmail-cf-8.11.2-14
setserial-2.17-2
setup-2.4.7-1
setuptool-1.7-2
sgml-common-0.5-5
sgml-tools-1.0.9-9
shadow-utils-20000826-4
shapecfg-2.2.12-5
sharutils-4.2.1-7
sh-utils-2.0-13
slang-1.4.2-2
slang-devel-1.4.2-2
slocate-2.5-5
slrn-0.9.6.4-2
sndconfig-0.64.8-1
sox-12.17.1-2
stat-2.2-2
statserial-1.1-20
strace-4.2.20010119-3
svgalib-1.4.1-2
svgalib-devel-1.4.1-2
switchdesk-3.9.5-1
switchdesk-gnome-3.9.5-1
sysklogd-1.4-7
syslinux-1.52-1
SysVinit-2.78-17
talk-0.17-9
talk-server-0.17-9
tamago-4.0.6-4
tar-1.13.19-4
tcl-8.3.1-53
tclx-8.2.0-53
tcpdump-3.4-39
tcp_wrappers-7.6-18
tcsh-6.10-5
telnet-0.17-10
telnet-server-0.17-10
termcap-11.0.1-8
tetex-fonts-1.0.7-15
tetex-xdvi-1.0.7-15
texinfo-4.0-20
textutils-2.0.11-7
tftp-server-0.17-9
time-1.7-13
timeconfig-3.2-1
timed-0.16-2
timetool-2.8-1
timidity++-2.10.3-0.a2.3
tin-1.4.2-3
tix-4.1.0.6-53
tk-8.3.1-53
tkinter-1.5.2-30
tksysv-1.3-2
tmpwatch-2.7.1-1
traceroute-1.4a5-25
tree-1.2-11
trn-3.6-21
ucd-snmp-4.2-12
ucd-snmp-utils-4.2-12
umb-scheme-3.2-18
unarj-2.43-6
unzip-5.41-3
up2date-2.5.4-1
up2date-gnome-2.5.4-1
urlview-0.9-2
urw-fonts-2.0-12
usermode-1.42-1
utempter-0.5.2-4
util-linux-2.10s-12
uucp-1.06.1-26
VFlib2-2.25.1-12
vim-common-6.0-0.27
vim-enhanced-6.0-0.27
vim-minimal-6.0-0.27
vim-X11-6.0-0.27
vixie-cron-3.0.1-62
vorbis-1.0beta4-3
w3c-libwww-5.2.8-6
which-2.12-1
whois-1.0.6-1
wmconfig-0.9.10-3
words-2-16
wu-ftpd-2.6.0-3
wu-ftpd-2.6.1-16
wvdial-1.41-12
Xaw3d-1.5-9
Xaw3d-devel-1.5-9
xchat-1.6.3-4
Xconfigurator-4.9.29-1
xcpustate-2.5-9
XFree86-3DLabs-3.3.6-38
XFree86-4.0.3-5
XFree86-75dpi-fonts-4.0.3-5
XFree86-devel-4.0.3-5
XFree86-doc-4.0.3-5
XFree86-libs-4.0.3-5
XFree86-Mach64-3.3.6-38
XFree86-tools-4.0.3-5
XFree86-twm-4.0.3-5
XFree86-xdm-4.0.3-5
XFree86-xfs-4.0.3-5
xinetd-2.1.8.9pre14-6
xinitrc-3.6-1
xloadimage-4.1-16
xmailbox-2.5-12
xmms-1.2.4-13
xmms-devel-1.2.4-13
xmms-gnome-1.2.4-13
xmorph-2000.04.28-9
xpaint-2.6.1-1
xpdf-0.92-3
xrn-9.02-8
xscreensaver-3.29-3
xsri-1.0-8
xtt-fonts-0.19990222-9
xxgdb-1.12-13
ypbind-1.7-6
ypserv-1.3.11-13
yp-tools-2.4-7
zip-2.3-8
zlib-1.1.3-22
zlib-devel-1.1.3-22
Comment 58 Need Real Name 2001-06-30 08:33:49 EDT
Created attachment 22269 [details]
The Output of commands ; files from /proc; /etc
Comment 59 Pete Zaitcev 2001-09-20 14:44:50 EDT
I keep thinking about the bug. The last explanation that
I see is something related to posted PCI writes. I know that am
clutching straws here...

I fixed a race between schedule() and set_current_state() in
2.4.9 couple of days ago, but that does not explain what Dennis
sees. It that stroke, he would see /proc/interrupts count
of 32 or 33 before the interrup routine self-disabled due
to underrun, but he sees 1.
Comment 60 Pete Zaitcev 2001-11-14 14:19:18 EST
Created attachment 37543 [details]
The fix
Comment 61 Pete Zaitcev 2001-11-14 14:33:21 EST
Rawhide kernel 2.4.13-0.6

Note You need to log in before you can comment on or make changes to this bug.